#include <iostream>

long long int pow(int a, int b)
{
    if(b==0) return 1;

    long long int rez = a;
    for(int i = 1; i < b; i ++)
    {
        rez*=a;
    }
    return rez;
}

int main()
{
    unsigned long long int broj;
    int broj_novcanica = 0;
    std::cin >> broj;
    int stepen = 0;
    for(unsigned long long int i = 10; i <= broj; i*=10)
    {
        if(broj/10 != 0) ++stepen;
    }
    for(stepen; stepen >= 0; --stepen)
    {
        long long int delilac = 5*pow(10, stepen);
        broj_novcanica+= broj/delilac;
        if(broj/delilac !=0) broj = broj%delilac;

        delilac = 2*pow(10, stepen);
        broj_novcanica+= broj/delilac;
        if(broj/delilac !=0) broj = broj%delilac;

        delilac = 1*pow(10, stepen);
        broj_novcanica+= broj/delilac;
        if(broj/delilac !=0) broj = broj%delilac;


    }
    std::cout << broj_novcanica;


}